Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cocoon
Class ShutdownAction

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.acting.AbstractAction
              org.apache.cocoon.acting.ServiceableAction
                  org.exist.cocoon.ShutdownAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.framework.thread.ThreadSafe

public class ShutdownAction
extends org.apache.cocoon.acting.ServiceableAction
implements org.apache.avalon.framework.thread.ThreadSafe

Cocoon action to shut down a running database instance of eXist.

Author:
  wolf

Field Summary

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`ShutdownAction()`

Method Summary
`java.util.Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, java.util.Map objectModel, java.lang.String source, org.apache.avalon.framework.parameters.Parameters parameters)`

Methods inherited from class org.apache.cocoon.acting.ServiceableAction
`service`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`enableLogging`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShutdownAction

    public ShutdownAction()

Method Detail

### act

    public java.util.Map act(org.apache.cocoon.environment.Redirector redirector,
                             org.apache.cocoon.environment.SourceResolver resolver,
                             java.util.Map objectModel,
                             java.lang.String source,
                             org.apache.avalon.framework.parameters.Parameters parameters)
                      throws java.lang.Exception

  Specified by:
    `act` in interface `org.apache.cocoon.acting.Action`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.